AnsweredAssumed Answered

ESRI.ArcGISRuntime.runtimes.win restored to .NETFramework instead of .NETCoreApp

Question asked by DJoyce@nps.gov_nps on Sep 21, 2020
Latest reply on Oct 1, 2020 by mnielsen-esristaff

I'm getting the following warning when compiling my application:

 

Package 'Esri.ArcGISRuntime.runtimes.win 100.9.0' was restored using '.NETFramework,Version=v4.6.1, .NETFramework,Version=v4.6.2, .NETFramework,Version=v4.7, .NETFramework,Version=v4.7.1, .NETFramework,Version=v4.7.2, .NETFramework,Version=v4.8' instead of the project target framework '.NETCoreApp,Version=v3.1'. This package may not be fully compatible with your project.

 

My target framework is .NETCore 3.1, and I have the ESRI.ArcGISRuntime.WPF v100.9.0 installed via NuGet.

 

Everything still works, but I really want to publish it as a self-contained product without relying on .NETFramework installs on the user's computer. Has anyone else run into this issue?

Outcomes